Index: /trunk/src/VBox/HostDrivers/linux/load.sh
===================================================================
--- /trunk/src/VBox/HostDrivers/linux/load.sh	(revision 58263)
+++ /trunk/src/VBox/HostDrivers/linux/load.sh	(revision 58264)
@@ -29,6 +29,12 @@
     exit 1
 fi
+test ${#} -eq 0 ||
+    if ! test ${#} -eq 1 || ! test "x${1}" = x-u; then
+        echo "Usage: load.sh [-u]"
+        exit 1
+    fi
+sudo "${MY_DIR}/vboxdrv.sh" stop
+test ${#} -eq 0 || exit 0
 make -C "${MY_DIR}/src/vboxdrv" "$@"
-sudo "${MY_DIR}/vboxdrv.sh" stop
 echo "Installing SUPDrv (aka VBoxDrv/vboxdrv)"
 sudo /sbin/insmod "${MY_DIR}/src/vboxdrv/vboxdrv.ko"
Index: /trunk/src/VBox/HostDrivers/linux/loadall.sh
===================================================================
--- /trunk/src/VBox/HostDrivers/linux/loadall.sh	(revision 58263)
+++ /trunk/src/VBox/HostDrivers/linux/loadall.sh	(revision 58264)
@@ -25,5 +25,5 @@
 if test ${#} -eq 0; then
     sudo "${MY_DIR}/vboxdrv.sh" setup
-elif test $* = 1 && test "${1}" = -u; then
+elif test ${#} = 1 && test "x${1}" = x-u; then
     sudo "${MY_DIR}/vboxdrv.sh" cleanup
 else
